%define module	XML-Grove
%define version	0.46alpha
%define release	6mdk
Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>

Summary:	Provides the information set of parsed XML/HTML/SGML trees.
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
The XML::Grove Perl module provides simple access to the information
set of parsed XML, HTML, or SGML instances using a tree of Perl
hashes.  This package also includes several extensions to XML::Grove
that provide the following:

   - returning element contents as a string
   - returning element contents as XML, HTML, or Canonical XML
   - processing entire groves using the visitor pattern
   - processing entire groves using PerlSAX
   - running a filter over all nodes in the grove
   - substituting values into an XML template grove
   - indexing a grove by ID or other attributes
   - accessing elements and objects via URL-like paths
   - create grove objects using an easy shorthand

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{perl_vendorlib}/XML/*

%changelog
* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.46alpha-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.46alpha-5mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.46alpha-4mdk
- fix license
- enhanced summary & description

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.46alpha-3mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.46alpha-2mdk
- BuildRequires: perl-devel

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.46alpha-1mdk
- Newly introduced for Foomatic.

